Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIDL_TargetManager_i::TargetManagerImpl_exec_i Class Reference

`#include <TargetManager_exec.h>`

Inheritance diagram for CIDL_TargetManager_i::TargetManagerImpl_exec_i:

[legend]
Collaboration diagram for CIDL_TargetManager_i::TargetManagerImpl_exec_i:

[legend]
List of all members.

## Public Member Functions
| TargetManagerImpl_exec_i (void)
virtual | ~TargetManagerImpl_exec_i (void)
virtual ::Deployment::CCM_TargetManager_ptr | get_targetMgr () throw (CORBA::SystemException)
virtual ::CIAO::CCM_TargetManagerExt_ptr | get_target_manager_ext () throw (::CORBA::SystemException)
virtual void | set_session_context (::Components::SessionContext_ptr ctx) throw ( ::CORBA::SystemException, ::Components::CCMException)
virtual void | ciao_preactivate () throw ( ::CORBA::SystemException, ::Components::CCMException)
virtual void | ciao_postactivate () throw ( ::CORBA::SystemException, ::Components::CCMException)
virtual void | ccm_activate () throw ( ::CORBA::SystemException, ::Components::CCMException)
virtual void | ccm_passivate () throw ( ::CORBA::SystemException, ::Components::CCMException)
virtual void | ccm_remove () throw ( ::CORBA::SystemException, ::Components::CCMException)
## Protected Attributes
TargetManagerImpl_Context * | context_
| The service context pointer.
::Deployment::CCM_TargetManager_var | exec_object_
| The exec Object.

## Constructor & Destructor Documentation

CIDL_TargetManager_i::TargetManagerImpl_exec_i::TargetManagerImpl_exec_i | ( | void |  | ) |

CIDL_TargetManager_i::TargetManagerImpl_exec_i::~TargetManagerImpl_exec_i | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void CIDL_TargetManager_i::TargetManagerImpl_exec_i::ccm_activate | ( |  | ) | throw ( ::CORBA::SystemException, ::Components::CCMException)`[virtual]`

virtual void CIDL_TargetManager_i::TargetManagerImpl_exec_i::ccm_passivate | ( |  | ) | throw ( ::CORBA::SystemException, ::Components::CCMException)`[virtual]`

virtual void CIDL_TargetManager_i::TargetManagerImpl_exec_i::ccm_remove | ( |  | ) | throw ( ::CORBA::SystemException, ::Components::CCMException)`[virtual]`

virtual void CIDL_TargetManager_i::TargetManagerImpl_exec_i::ciao_postactivate | ( |  | ) | throw ( ::CORBA::SystemException, ::Components::CCMException)`[virtual]`

virtual void CIDL_TargetManager_i::TargetManagerImpl_exec_i::ciao_preactivate | ( |  | ) | throw ( ::CORBA::SystemException, ::Components::CCMException)`[virtual]`

virtual ::CIAO::CCM_TargetManagerExt_ptr CIDL_TargetManager_i::TargetManagerImpl_exec_i::get_target_manager_ext | ( |  | ) | throw (::CORBA::SystemException)

virtual ::Deployment::CCM_TargetManager_ptr CIDL_TargetManager_i::TargetManagerImpl_exec_i::get_targetMgr | ( |  | ) | throw (CORBA::SystemException)

void CIDL_TargetManager_i::TargetManagerImpl_exec_i::set_session_context | ( | ::Components::SessionContext_ptr | ctx | ) | throw ( ::CORBA::SystemException, ::Components::CCMException)`[virtual]`

## Member Data Documentation

TargetManagerImpl_Context* CIDL_TargetManager_i::TargetManagerImpl_exec_i::context_`[protected]`

| The service context pointer.

::Deployment::CCM_TargetManager_var CIDL_TargetManager_i::TargetManagerImpl_exec_i::exec_object_`[protected]`

| The exec Object.

The documentation for this class was generated from the following files:

- TargetManager_exec.h
- TargetManager_exec.cpp